Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.passage
Class BibleInfo.Section

    java.lang.Object
      org.crosswire.jsword.passage.BibleInfo.Section

Enclosing class:
  BibleInfo

    public static class BibleInfo.Section

extends Object

Handy section finder. There is a bit of moderately bad programming here because org.crosswire.jsword.control.map.sw*ng.GroupVerseColor uses these numbers as an index into an array, so we shouldn't change these numbers without fixing that, however I don't imagine that this section could ever change without breaking GroupVerseColor anyway so I don't see it as a big problem.

Field Summary
`static byte` | `GOSPELS_AND_ACTS`
`static byte` | `HISTORY`
`static byte` | `LETTERS`
`static byte` | `MAJOR_PROPHETS`
`static byte` | `MINOR_PROPHETS`
`static byte` | `PENTATEUCH`
`static byte` | `POETRY`
`static byte` | `REVELATION`

Constructor Summary
`BibleInfo.Section()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PENTATEUCH

    public static final byte PENTATEUCH

See Also:
  Constant Field Values

### HISTORY

    public static final byte HISTORY

See Also:
  Constant Field Values

### POETRY

    public static final byte POETRY

See Also:
  Constant Field Values

### MAJOR_PROPHETS

    public static final byte MAJOR_PROPHETS

See Also:
  Constant Field Values

### MINOR_PROPHETS

    public static final byte MINOR_PROPHETS

See Also:
  Constant Field Values

### GOSPELS_AND_ACTS

    public static final byte GOSPELS_AND_ACTS

See Also:
  Constant Field Values

### LETTERS

    public static final byte LETTERS

See Also:
  Constant Field Values

### REVELATION

    public static final byte REVELATION

See Also:
  Constant Field Values

Constructor Detail

### BibleInfo.Section

    public BibleInfo.Section()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD